import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { TapdReviewDatabaseDefault } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:06
 */
interface TapdReviewDatabaseDefaultCU extends ConditionUtil<TapdReviewDatabaseDefaultCU>{
    ID:FieldUtil<TapdReviewDatabaseDefaultCU>;
    INSTANCE_ID:FieldUtil<TapdReviewDatabaseDefaultCU>;
    INSTANCE_NAME:FieldUtil<TapdReviewDatabaseDefaultCU>;
    DATABASE_NAME:FieldUtil<TapdReviewDatabaseDefaultCU>;
    SQL:FieldUtil<TapdReviewDatabaseDefaultCU>;
    BUSINESS_GROUP:FieldUtil<TapdReviewDatabaseDefaultCU>;
    CREATE_TIME:FieldUtil<TapdReviewDatabaseDefaultCU>;
    UPDATE_TIME:FieldUtil<TapdReviewDatabaseDefaultCU>;
}

class TapdReviewDatabaseDefaultCUImpl extends ConditionUtilImpl<TapdReviewDatabaseDefaultCUImpl> implements TapdReviewDatabaseDefaultCU{ 
    newInstance(): TapdReviewDatabaseDefaultCUImpl {
        return new TapdReviewDatabaseDefaultCUImpl();
    } 
    get ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('id','id','', this);
    }
    get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('instance_id','instanceId','实例ID', this);
    }
    get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('instance_name','instanceName','主机名', this);
    }
    get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('database_name','databaseName','数据库名', this);
    }
    get SQL(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('sql','sql','sql语句', this);
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', this);
    }
    get CREATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class TapdReviewDatabaseDefaultMU extends TableUtilImpl<TapdReviewDatabaseDefaultCU,TapdReviewDatabaseDefault>{ 
    tableName  = 'tapd_review_database_default';
    tableFields  = ['id','instance_id','instance_name','database_name','sql','business_group','create_time','update_time'];
    modelFields  = ['id','instanceId','instanceName','databaseName','sql','businessGroup','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): TapdReviewDatabaseDefaultCU {
        return new TapdReviewDatabaseDefaultCUImpl();
    }   

    static get ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('id','id','', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('instance_id','instanceId','实例ID', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('instance_name','instanceName','主机名', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('database_name','databaseName','数据库名', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get SQL(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('sql','sql','sql语句', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new TapdReviewDatabaseDefaultCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new TapdReviewDatabaseDefaultCUImpl());
    }

    get ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.ID;
    }
    get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.INSTANCE_ID;
    }
    get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.INSTANCE_NAME;
    }
    get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.DATABASE_NAME;
    }
    get SQL(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.SQL;
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.BUSINESS_GROUP;
    }
    get CREATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewDatabaseDefaultCU>{ 
        return TapdReviewDatabaseDefaultMU.UPDATE_TIME;
    }
}
export {TapdReviewDatabaseDefaultMU, TapdReviewDatabaseDefaultCU}
